- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Inout_Basic_SArgument_T< S, Insert_Policy > Class Template Reference

Template class for INOUT skeleton argument of basic IDL types. More...

`#include <Basic_SArgument_T.h>`

Inheritance diagram for TAO::Inout_Basic_SArgument_T< S, Insert_Policy >:

[legend]
Collaboration diagram for TAO::Inout_Basic_SArgument_T< S, Insert_Policy >:

[legend]
List of all members.

## Public Member Functions
| Inout_Basic_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_value (CORBA::Any *any) const
S & | arg (void)
## Private Attributes
S | x_

## Detailed Description

### template<typename S, typename Insert_Policy>
class TAO::Inout_Basic_SArgument_T< S, Insert_Policy >

Template class for INOUT skeleton argument of basic IDL types.

## Constructor & Destructor Documentation

template<typename S, typename Insert_Policy>

ACE_INLINE TAO::Inout_Basic_SArgument_T< S, Insert_Policy >::Inout_Basic_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename Insert_Policy>

ACE_INLINE S & TAO::Inout_Basic_SArgument_T< S, Insert_Policy >::arg | ( | void |  | ) |

template<typename S, typename Insert_Policy>

CORBA::Boolean TAO::Inout_Basic_SArgument_T< S, Insert_Policy >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

template<typename S, typename Insert_Policy>

void TAO::Inout_Basic_SArgument_T< S, Insert_Policy >::interceptor_value | ( | CORBA::Any * | any | ) | const`[virtual]`

template<typename S, typename Insert_Policy>

CORBA::Boolean TAO::Inout_Basic_SArgument_T< S, Insert_Policy >::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

## Member Data Documentation

template<typename S, typename Insert_Policy>

S TAO::Inout_Basic_SArgument_T< S, Insert_Policy >::x_`[private]`

The documentation for this class was generated from the following files:

- Basic_SArgument_T.h
- Basic_SArgument_T.cpp
- Basic_SArgument_T.inl